OpenVDB 5.1.0

Public Member Functions | List of all members
UpdatePoints Class Reference

`#include <VolumeToSpheres.h>`

## Public Member Functions
| UpdatePoints (const Vec4s &sphere, const std::vector< Vec3R > &points, std::vector< float > &distances, std::vector< unsigned char > &mask, bool overlapping)
float | radius () const
int | index () const
void | run (bool threaded=true)
| UpdatePoints (UpdatePoints &, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &range)
void | join (const UpdatePoints &rhs)

## Constructor & Destructor Documentation

## ◆ UpdatePoints() [1/2]

UpdatePoints | ( | const Vec4s & | sphere,
|  | const std::vector< Vec3R > & | points,
|  | std::vector< float > & | distances,
|  | std::vector< unsigned char > & | mask,
|  | bool | overlapping
| ) |  |
| inline

## ◆ UpdatePoints() [2/2]

UpdatePoints | ( | UpdatePoints & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ index()

int index | ( |  | ) | const
| inline

## ◆ join()

void join | ( | const UpdatePoints & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

## ◆ radius()

float radius | ( |  | ) | const
| inline

## ◆ run()

void run | ( | bool | threaded = `true` | ) |
| inline

The documentation for this class was generated from the following file:

- VolumeToSpheres.h